4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.ImageHlp

Classes: Array, Byte, DataType, Dword, Struct, Word |  |  |  | Functions: ArrayOf, SetSubsystem, UpdateResource |  |  |  | Globals: RT_RCDATA, RT_VERSION

## Classes

class Array(list)

  ### Methods

  __init__(self, bytes=None)
    Overrides: __init__ from class list
  pack(self)

  ### Methods inherited from class list

  __add__, __contains__, __delitem__, __delslice__, __eq__, __ge__, __getattribute__, __getitem__, __getslice__, __gt__, __hash__, __iadd__, __imul__, __iter__, __le__, __len__, __lt__, __mul__, __ne__, __new__, __repr__, __reversed__, __rmul__, __setitem__, __setslice__, append, count, extend, index, insert, pop, remove, reverse, sort

  ### Methods inherited from class object

  __delattr__, __reduce__, __reduce_ex__, __setattr__, __str__

  ### Members

  __dict__ = <attribute '__dict__' of 'Array' objects>
  __weakref__ = <attribute '__weakref__' of 'Array' objects>

  ### Members inherited from class object

  __class__
class Byte(int)

  ### Methods inherited from class int

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __index__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'Byte' objects>
  __format__ = '<B'
  __metaclass__ = <class 'Ft.Lib.DistExt.ImageHlp.DataType'>
  __size__ = 1
  __weakref__ = <attribute '__weakref__' of 'Byte' objects>

  ### Members inherited from class object

  __class__
class DataType(type)

  ### Methods

  __init__(cls, name, bases, namespace)
    Overrides: __init__ from class type

  ### Methods inherited from class type

  __call__, __cmp__, __delattr__, __getattribute__, __hash__, __new__, __repr__, __setattr__, __subclasses__, mro

  ### Methods inherited from class object

  __reduce__, __reduce_ex__, __str__

  ### Members inherited from class type

  __base__, __bases__, __basicsize__, __dict__, __dictoffset__, __flags__, __itemsize__, __mro__, __weakrefoffset__

  ### Members inherited from class object

  __class__
class Dword(long)

  ### Methods inherited from class long

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __index__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'Dword' objects>
  __format__ = '<L'
  __metaclass__ = <class 'Ft.Lib.DistExt.ImageHlp.DataType'>
  __size__ = 4

  ### Members inherited from class object

  __class__
class Struct(object)

  ### Methods

  __init__(self, bytes=None)
    Overrides: __init__ from class object
  __repr__(self)
    Overrides: __repr__ from class object
  load(...)
    classmethod(function) -> method

        Convert a function to be a class method.

        A class method receives the class as implicit first argument,
        just like an instance method receives the instance.
        To declare a class method, use this idiom:

          class C:
              def f(cls, arg1, arg2, ...): ...
              f = classmethod(f)

        It can be called either on the class (e.g. C.f()) or on an instance
        (e.g. C().f()).  The instance is ignored except for its class.
        If a class method is called for a derived class, the derived class
        object is passed as the implied first argument.

        Class methods are different than C++ or Java static methods.
        If you want those, see the staticmethod builtin.

  pack(self)

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __setattr__, __str__

  ### Members

  __dict__ = <attribute '__dict__' of 'Struct' objects>
  __format__ = ''
  __metaclass__ = <class 'Ft.Lib.DistExt.ImageHlp.DataType'>
  __size__ = 0
  __weakref__ = <attribute '__weakref__' of 'Struct' objects>

  ### Members inherited from class object

  __class__
class Word(int)

  ### Methods inherited from class int

  __abs__, __add__, __and__, __cmp__, __coerce__, __div__, __divmod__, __float__, __floordiv__, __getattribute__, __getnewargs__, __hash__, __hex__, __index__, __int__, __invert__, __long__, __lshift__, __mod__, __mul__, __neg__, __new__, __nonzero__, __oct__, __or__, __pos__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __str__, __sub__, __truediv__, __xor__

  ### Methods inherited from class object

  __delattr__, __init__, __reduce__, __reduce_ex__, __setattr__

  ### Members

  __dict__ = <attribute '__dict__' of 'Word' objects>
  __format__ = '<H'
  __metaclass__ = <class 'Ft.Lib.DistExt.ImageHlp.DataType'>
  __size__ = 2
  __weakref__ = <attribute '__weakref__' of 'Word' objects>

  ### Members inherited from class object

  __class__

## Functions

ArrayOf(datatype, size)
SetSubsystem(image, subsystem)
  Sets the Windows subsystem required to run the executable file.
UpdateResource(image, resourceType, resourceId, resourceData)
  Replaces the resource in the executable file.

## Globals

RT_RCDATA = 10
RT_VERSION = 16